import type { RepoCacheRecord } from '../types';
import { RepoCacheBase } from './base';
export declare class RepoCacheS3 extends RepoCacheBase {
    private readonly s3Client;
    private readonly bucket;
    constructor(repository: string, url: string);
    read(): Promise<string | null>;
    write(data: RepoCacheRecord): Promise<void>;
    private getCacheFileName;
}
